Browse Source

prepare-release: Switch over to CMake, set version in CMakeLists.txt

Teach the prepare-release script about the version new locations
and also set the version in CMakeLists, as that is better than
reading it from the changelog: CMake would not rerun automatically
otherwise if the version changed.

Gbp-Dch: ignore
debian/1.8.y
Julian Andres Klode 6 years ago
parent
commit
66eae02467
  1. 5
      CMakeLists.txt
  2. 18
      prepare-release

5
CMakeLists.txt

@ -113,11 +113,8 @@ endif()
# Configure some variables like package, version and architecture.
set(PACKAGE ${PROJECT_NAME})
set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
set(PACKAGE_VERSION "1.3~pre3+cmake2")
if (NOT DEFINED PACKAGE_VERSION)
execute_process(COMMAND dpkg-parsechangelog -SVersion -l${PROJECT_SOURCE_DIR}/debian/changelog
OUTPUT_VARIABLE PACKAGE_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()
if (NOT DEFINED COMMON_ARCH)
execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH
OUTPUT_VARIABLE COMMON_ARCH OUTPUT_STRIP_TRAILING_WHITESPACE)

18
prepare-release

@ -11,7 +11,7 @@ VERSION=$(dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p')
DISTRIBUTION=$(dpkg-parsechangelog | sed -n -e '/^Distribution:/s/^Distribution: //p')
LIBAPTPKGVERSION="$(awk -v ORS='.' '/^\#define APT_PKG_M/ {print $3}' apt-pkg/contrib/macros.h | sed 's/\.$//')"
LIBAPTINSTVERSION="$(grep '^MAJOR=' apt-inst/makefile |cut -d '=' -f 2)"
LIBAPTINSTVERSION="$(sed -nr 's/set\(MAJOR ([^)]*)\)/\1/p' apt-inst/CMakeLists.txt)"
librarysymbolsfromfile() {
local MISSING="$(grep '^+#MISSING' "$1")"
@ -53,7 +53,7 @@ if [ "$1" = 'pre-export' ]; then
VERSION="$VERSION~$(date +%Y%m%d)"
fi
sed -i -e "s/^PACKAGE_VERSION=\".*\"$/PACKAGE_VERSION=\"${VERSION}\"/" configure.ac
sed -i -e "s/^set(PACKAGE_VERSION \".*\")$/set(PACKAGE_VERSION \"${VERSION}\")/" CMakeLists.txt
sed -i -e "s/^<!ENTITY apt-product-version \".*\">$/<!ENTITY apt-product-version \"${VERSION}\">/" doc/apt-verbatim.ent
# update the last-modification field of manpages based on git changes
@ -68,15 +68,17 @@ Git-Dch: Ignore' "$file")" '+%Y-%m-%dT00:00:00Z')"
if [ "$(date +%Y-%m-%d)" != "$(grep --max-count=1 '^"POT-Creation-Date: .*\n"$' po/apt-all.pot | cut -d' ' -f 2)" -o \
"$(date +%Y-%m-%d)" != "$(grep --max-count=1 '^"POT-Creation-Date: .*\n"$' doc/po/apt-doc.pot | cut -d' ' -f 2)" ]; then
echo >&2 'POT files are not up-to-date. Execute »make update-po« for you…'
make update-po
[ -e build ] || mkdir build
( cd build && cmake .. )
cmake --build build --target update-po -- -j 4
fi
elif [ "$1" = 'pre-build' ]; then
if [ "$DISTRIBUTION" = "UNRELEASED" ]; then
echo 'BUILDING AN UNRELEASED VERSION'
else
CONFVERSION="$(sed -ne "s/^PACKAGE_VERSION=\"\(.*\)\"$/\1/p" configure.ac)"
CONFVERSION="$(sed -ne "s/^set(PACKAGE_VERSION \"\(.*\)\")$/\1/p" CMakeLists.txt)"
if [ "$VERSION" != "$CONFVERSION" ]; then
echo "changelog (${VERSION}) and configure (${CONFVERSION}) talk about different versions!"
echo "changelog (${VERSION}) and CMakeLists.txt (${CONFVERSION}) talk about different versions!"
echo "You probably want to run »./prepare-release pre-export« to fix this."
exit 1
fi
@ -115,9 +117,11 @@ elif [ "$1" = 'post-build' ]; then
fi
done
# lets assume we will always have a german manpage translation
if [ -e 'doc/de/' ]; then
if [ -e */doc/de/ -o -e doc/de ]; then
# … but check the translations only with one vendor for translation-specific errors
if ! xmllint --nonet --valid --noout $(find doc/ -mindepth 2 -maxdepth 2 -name '*.xml'); then
if ! xmllint --path /vendor/$(./vendor/getinfo current)/ \
--path doc/ \
--nonet --valid --noout $(find doc/ */doc/ -mindepth 2 -maxdepth 2 -name '*.xml'); then
echo >&2 "WARNING: translated docbook manpages have errors!"
fi
else

Loading…
Cancel
Save